tigase.jaxmpp.core.client.xmpp.modules.workgroup

## Class WorkgroupAgentModule.OfferReceivedHandler.OfferReceivedEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<WorkgroupAgentModule.OfferReceivedHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.workgroup.WorkgroupAgentModule.OfferReceivedHandler.OfferReceivedEvent

- Enclosing interface:
    WorkgroupAgentModule.OfferReceivedHandler

      public static class WorkgroupAgentModule.OfferReceivedHandler.OfferReceivedEvent
      extends JaxmppEvent<WorkgroupAgentModule.OfferReceivedHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OfferReceivedEvent(SessionObject sessionObject, JID userJID, JID workgroupJID, long timeout)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(WorkgroupAgentModule.OfferReceivedHandler handler)` Invokes handlers method.
    `long` | `getTimeout()`
    `JID` | `getUserJID()`
    `JID` | `getWorkgroupJID()`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OfferReceivedEvent

          public OfferReceivedEvent(SessionObject sessionObject,
                                    JID userJID,
                                    JID workgroupJID,
                                    long timeout)

  - ### Method Detail

    - #### dispatch

          public void dispatch(WorkgroupAgentModule.OfferReceivedHandler handler)

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<WorkgroupAgentModule.OfferReceivedHandler>`
      Parameters:
        `handler` - handler

    - #### getUserJID

          public JID getUserJID()

    - #### getWorkgroupJID

          public JID getWorkgroupJID()

    - #### getTimeout

          public long getTimeout()

Copyright © 2006–2023 Tigase. All rights reserved.